## ros-rolling-cv-bridge 3.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.14)
project(cv_bridge)

find_package(ament_cmake_ros REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

if(ANDROID)
  find_package(Boost REQUIRED)
  set(boost_python_target "")
else()
  find_package(Python3 REQUIRED COMPONENTS Development NumPy)
  find_package(Boost QUIET)
  if(Boost_VERSION_STRING VERSION_LESS "1.67")
    # This is a bit of a hack to suppress a warning
    #   No header defined for python3; skipping header check
    # Which should only affect Boost versions < 1.67
    # Resolution for newer versions:
    #  https://gitlab.kitware.com/cmake/cmake/issues/16391
    set(_Boost_PYTHON3_HEADERS "boost/python.hpp")
    find_package(Boost REQUIRED COMPONENTS python3)
    set(boost_python_target "Boost::python3")
  else()
    find_package(Boost REQUIRED COMPONENTS python${Python3_VERSION_MAJOR}${Python3_VERSION_MINOR})
    set(boost_python_target "Boost::python${Python3_VERSION_MAJOR}${Python3_VERSION_MINOR}")
  endif()
endif()

find_package(sensor_msgs REQUIRED)

find_package(OpenCV 4 QUIET
  COMPONENTS
    opencv_core
    opencv_imgproc
    opencv_imgcodecs
  CONFIG
)
if(NOT OpenCV_FOUND)
  find_package(OpenCV 3 REQUIRED
    COMPONENTS
      opencv_core
      opencv_imgproc
      opencv_imgcodecs
    CONFIG
  )
endif()

if(NOT ANDROID)
  add_subdirectory(python)
endif()

add_subdirectory(src)

# cv_bridge_lib_dir is passed as APPEND_LIBRARY_DIRS for each ament_add_gtest call so
# the project library that they link against is on the library path.
# This is especially important on Windows.
# This is overwritten each loop, but which one it points to doesn't really matter.
set(cv_bridge_lib_dir "$<TARGET_FILE_DIR:${PROJECT_NAME}>")

if(BUILD_TESTING)
  add_subdirectory(test)
endif()

ament_export_dependencies(
  OpenCV
  sensor_msgs
)

ament_export_targets(export_${PROJECT_NAME})

# install the include folder
install(DIRECTORY include/ DESTINATION include/${PROJECT_NAME})

install(TARGETS ${PROJECT_NAME}
        RUNTIME DESTINATION bin
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
)

ament_package(
  CONFIG_EXTRAS "cmake/cv_bridge-extras.cmake.in"
)

=== python/CMakeLists.txt ===
configure_file(__init__.py.plain.in
  ${CMAKE_CURRENT_BINARY_DIR}/boost/__init__.py
  @ONLY
)

ament_python_install_package(${PROJECT_NAME})

=== src/CMakeLists.txt ===
# add library
add_library(${PROJECT_NAME} cv_bridge.cpp rgb_colors.cpp)
include(GenerateExportHeader)
generate_export_header(${PROJECT_NAME} EXPORT_FILE_NAME ${PROJECT_NAME}/${PROJECT_NAME}_export.h)
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/../include>"
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(${PROJECT_NAME} PUBLIC
  ${sensor_msgs_TARGETS}
  opencv_core
  opencv_imgproc
  opencv_imgcodecs)
target_link_libraries(${PROJECT_NAME} PRIVATE
  Boost::headers)

install(TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}/${PROJECT_NAME}_export.h
  DESTINATION include/${PROJECT_NAME}/${PROJECT_NAME})

if(NOT ANDROID)
  Python3_add_library(${PROJECT_NAME}_boost MODULE module.cpp module_opencv3.cpp)
  target_link_libraries(${PROJECT_NAME}_boost PRIVATE
    ${PROJECT_NAME}
    ${boost_python_target}
    Python3::NumPy)
  target_compile_definitions(${PROJECT_NAME}_boost PRIVATE PYTHON3)

  if(OpenCV_VERSION_MAJOR VERSION_EQUAL 4)
    target_compile_definitions(${PROJECT_NAME}_boost PRIVATE OPENCV_VERSION_4)
  endif()

  set_target_properties(${PROJECT_NAME}_boost PROPERTIES
                        LIBRARY_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/boost/
                        PREFIX ""
  )
  install(TARGETS ${PROJECT_NAME}_boost DESTINATION ${PYTHON_INSTALL_DIR}/${PROJECT_NAME}/boost/)
endif()

=== debian/changelog ===
ros-rolling-cv-bridge (3.0.2-2focal) focal; urgency=high

  * Minor cleanups to the ROS 2 branch (#418 <https://github.com/ros-perception/vision_opencv/issues/418>)
  * Find Python3 if not on Android (#423 <https://github.com/ros-perception/vision_opencv/issues/423>)
  * Forward ports from noetic (#420 <https://github.com/ros-perception/vision_opencv/issues/420>)
    * Add header arg to cv2_to_imgmsg (#326 <https://github.com/ros-perception/vision_opencv/issues/326>)
    * prevent conversion of single channel 16bit integer images to/from colour (#412 <https://github.com/ros-perception/vision_opencv/issues/412>)
  * Contributors: Chris Lalancette, Christian Rauch, Michael Carroll, Naoya Yamaguchi, Shane Loretz

 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 27 Jan 2022 06:00:00 -0000

ros-rolling-cv-bridge (3.0.1-2focal) focal; urgency=high

  * Use Boost::python3 if Boost < 1.67 (#422 <https://github.com/ros-perception/vision_opencv/issues/422>)
  * Use Boost::pythonXY target (#421 <https://github.com/ros-perception/vision_opencv/issues/421>)
  * Contributors: Shane Loretz

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 25 Jan 2022 06:00:00 -0000

ros-rolling-cv-bridge (3.0.0-2focal) focal; urgency=high

  * Export Modern CMake targets and install includes to another folder(#419 <https://github.com/ros-perception/vision_opencv/issues/419>)
  * Handle padded img msg in Python (#400 <https://github.com/ros-perception/vision_opencv/issues/400>)
  * Remove boost endian (#399 <https://github.com/ros-perception/vision_opencv/issues/399>)
  * Add conversions from YUV422 YUY2 (#396 <https://github.com/ros-perception/vision_opencv/issues/396>)
  * fix endianness comparison (#397 <https://github.com/ros-perception/vision_opencv/issues/397>)
  * Export sensor_msgs dependency (#392 <https://github.com/ros-perception/vision_opencv/issues/392>)
  * Fix multiple undefined references (#370 <https://github.com/ros-perception/vision_opencv/issues/370>)
  * Updated cv_bridge.dll install location. (#356 <https://github.com/ros-perception/vision_opencv/issues/356>)
  * Contributors: Homalozoa X, Jacob Perron, Patrick Musau, Sean Yen, Shane Loretz

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 19 Jan 2022 06:00:00 -0000

ros-rolling-cv-bridge (2.2.1-2focal) focal; urgency=high

  * Align module.hpp with noetic (#342 <https://github.com/ros-perception/vision_opencv/issues/342>)
  * Contributors: Michael Carroll

 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 16 Jul 2020 05:00:00 -0000

ros-rolling-cv-bridge (2.2.0-2focal) focal; urgency=high

  * Disable portable image tests (#337 <https://github.com/ros-perception/vision_opencv/issues/337>)
  * use more specific boost rosdep keys (#319 <https://github.com/ros-perception/vision_opencv/issues/319>)
  * add opencv4 into the dependency list for ROS2 (#324 <https://github.com/ros-perception/vision_opencv/issues/324>)
  * Corrected the typo of Boost_INCLUDE_DIRS (#315 <https://github.com/ros-perception/vision_opencv/issues/315>)
  * use target include directories (#313 <https://github.com/ros-perception/vision_opencv/issues/313>)
  * Contributors: Karsten Knese, Lewis Liu, Michael Carroll, Mikael Arguedas, Sean Yen

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 27 May 2020 05:00:00 -0000

ros-rolling-cv-bridge (2.1.3-2focal) focal; urgency=high

  * populate array.array directly instead of converting to and from a string (#305 <https://github.com/ros-perception/vision_opencv/issues/305>)
  * include Boost to fix Windows build (#290 <https://github.com/ros-perception/vision_opencv/issues/290>)
  * Export interfaces for Win32 Shared Lib (#301 <https://github.com/ros-perception/vision_opencv/issues/301>)
  * Contributors: Dirk Thomas, Jonathan Noyola, Sean Yen

 -- Ethan Gao <ethan.gao@linux.intel.com>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-cv-bridge (2.1.2-2focal) focal; urgency=high

  * Suppress Boost Python warning. (#279 <https://github.com/ros-perception/vision_opencv/issues/279>)
  * silence unused return value warnings (#276 <https://github.com/ros-perception/vision_opencv/issues/276>)
  * Contributors: Karsten Knese, Michael Carroll

 -- Ethan Gao <ethan.gao@linux.intel.com>  Thu, 30 May 2019 05:00:00 -0000

ros-rolling-cv-bridge (2.1.1-2focal) focal; urgency=high

  * Replace ament commands with colcon (#263 <https://github.com/ros-perception/vision_opencv/issues/263>)
    Latest ros2 repo does not include ament_tools. Executing ament command results in error.
  * Contributors: Lalit Begani

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 26 Apr 2019 05:00:00 -0000

ros-rolling-cv-bridge (2.1.0-2focal) focal; urgency=high

  * find boost_python on boost 1.58 (<1.65) (#246 <https://github.com/ros-perception/vision_opencv/issues/246>)
  * Contributors: Mikael Arguedas

 -- Ethan Gao <ethan.gao@linux.intel.com>  Mon, 26 Nov 2018 06:00:00 -0000

ros-rolling-cv-bridge (2.0.5-2focal) focal; urgency=high

  * remove redundant ament_auto_lint dependency to release package
  * fix test_encode_decode_cv2_compressed runtime error with JPEG2000
  * change python3-numpy as build and execution dependency to fix building
    error while releasing package
  * Contributor: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Fri, 17 Aug 2018 05:00:00 -0000

ros-rolling-cv-bridge (2.0.4-2focal) focal; urgency=high

  * Add libopencv-dev as dependency of cv_bridge
  * Replace assert_equal with assert to remove dependency to nose package
  * Contributor: Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 14 Aug 2018 05:00:00 -0000

ros-rolling-cv-bridge (2.0.3-2focal) focal; urgency=high

  * fix the build warning with colcon building
  * optimize buffer type of imgmsg_to_cv2()
  * add python3_opencv and python3_numpy as dependency
  * uncrustify 0.67 coding style alignment
  * Contributors: Mikael Arguedas, Lars Berscheid, Ethan Gao

 -- Ethan Gao <ethan.gao@linux.intel.com>  Tue, 07 Aug 2018 05:00:00 -0000



=== debian/control ===
Source: ros-rolling-cv-bridge
Section: misc
Priority: optional
Maintainer: Ethan Gao <ethan.gao@linux.intel.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-python-dev, libopencv-dev, python3-numpy, python3-opencv, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-pytest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-python-cmake-module, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: http://www.ros.org/wiki/cv_bridge
Standards-Version: 3.9.2

Package: ros-rolling-cv-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-python1.71.0, libopencv-dev, python3-numpy, ros-rolling-ament-index-python, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: This contains CvBridge, which converts between ROS2 Image messages and OpenCV images.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-cv-bridge//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-cv-bridge 3.4.0

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
 # add library
-add_library(${PROJECT_NAME} cv_bridge.cpp rgb_colors.cpp)
+add_library(${PROJECT_NAME}
+  cv_bridge.cpp
+  cv_mat_sensor_msgs_image_type_adapter.cpp
+  rgb_colors.cpp
+)
 include(GenerateExportHeader)
 generate_export_header(${PROJECT_NAME} EXPORT_FILE_NAME ${PROJECT_NAME}/${PROJECT_NAME}_export.h)
 target_include_directories(${PROJECT_NAME} PUBLIC
@@ -10,9 +14,12 @@
   ${sensor_msgs_TARGETS}
   opencv_core
   opencv_imgproc
-  opencv_imgcodecs)
+  opencv_imgcodecs
+  rclcpp::rclcpp
+)
 target_link_libraries(${PROJECT_NAME} PRIVATE
-  Boost::headers)
+  Boost::headers
+  rcpputils::rcpputils)
 
 install(TARGETS ${PROJECT_NAME} EXPORT export_${PROJECT_NAME}
   ARCHIVE DESTINATION lib
@@ -25,7 +32,7 @@
   DESTINATION include/${PROJECT_NAME}/${PROJECT_NAME})
 
 if(NOT ANDROID)
-  Python3_add_library(${PROJECT_NAME}_boost MODULE module.cpp module_opencv3.cpp)
+  Python3_add_library(${PROJECT_NAME}_boost MODULE module.cpp module_opencv4.cpp)
   target_link_libraries(${PROJECT_NAME}_boost PRIVATE
     ${PROJECT_NAME}
     ${boost_python_target}

=== debian/changelog ===
ros-rolling-cv-bridge (3.4.0-2jammy) jammy; urgency=high



 -- Kenji Brameld <kenjibrameld@gmail.com>  Mon, 03 Oct 2022 07:00:00 -0000

ros-rolling-cv-bridge (3.3.1-2jammy) jammy; urgency=high

  * export rclcpp as dependency (#491 <https://github.com/ros-perception/vision_opencv/issues/491>)
  * silence dperecation warnings using boost macros (#478 <https://github.com/ros-perception/vision_opencv/issues/478>)
  * Contributors: Kenji Brameld

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 21 Sep 2022 07:00:00 -0000

ros-rolling-cv-bridge (3.3.0-2jammy) jammy; urgency=high

  * Add apache license and bsd license, because both are used. (#479 <https://github.com/ros-perception/vision_opencv/issues/479>)
  * Remove opencv2.cpp and rename opencv3.cpp to opencv4.cpp (#480 <https://github.com/ros-perception/vision_opencv/issues/480>)
  * Deprecate .h files in favor of .hpp headers (#448 <https://github.com/ros-perception/vision_opencv/issues/448>)
  * Reorganize author tag (#460 <https://github.com/ros-perception/vision_opencv/issues/460>)
  * Add colormap argument to python wrapper (#452 <https://github.com/ros-perception/vision_opencv/issues/452>)
  * Fix 16U encoding type (#459 <https://github.com/ros-perception/vision_opencv/issues/459>)
  * Add type adapter for cv::Mat (#441 <https://github.com/ros-perception/vision_opencv/issues/441>)
  * Update maintainers (#451 <https://github.com/ros-perception/vision_opencv/issues/451>)
  * Fix ModuleNotFoundError: No module named 'cv_bridge' error (#444 <https://github.com/ros-perception/vision_opencv/issues/444>)
  * Make python3-opencv from test_depend to depend tag in package.xml (#439 <https://github.com/ros-perception/vision_opencv/issues/439>)
  * Contributors: Daisuke Nishimatsu, Kenji Brameld, Marcel Zeilinger, RachelRen05

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 14 Sep 2022 07:00:00 -0000

ros-rolling-cv-bridge (3.0.3-2jammy) jammy; urgency=high

  * Add missing dependency on rcpputils (#427 <https://github.com/ros-perception/vision_opencv/issues/427>)
  * Contributors: Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Fri, 01 Apr 2022 07:00:00 -0000

ros-rolling-cv-bridge (3.0.2-2jammy) jammy; urgency=high

  * Minor cleanups to the ROS 2 branch (#418 <https://github.com/ros-perception/vision_opencv/issues/418>)
  * Find Python3 if not on Android (#423 <https://github.com/ros-perception/vision_opencv/issues/423>)
  * Forward ports from noetic (#420 <https://github.com/ros-perception/vision_opencv/issues/420>)
    * Add header arg to cv2_to_imgmsg (#326 <https://github.com/ros-perception/vision_opencv/issues/326>)
    * prevent conversion of single channel 16bit integer images to/from colour (#412 <https://github.com/ros-perception/vision_opencv/issues/412>)
  * Contributors: Chris Lalancette, Christian Rauch, Michael Carroll, Naoya Yamaguchi, Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 27 Jan 2022 08:00:00 -0000

ros-rolling-cv-bridge (3.0.1-2jammy) jammy; urgency=high

  * Use Boost::python3 if Boost < 1.67 (#422 <https://github.com/ros-perception/vision_opencv/issues/422>)
  * Use Boost::pythonXY target (#421 <https://github.com/ros-perception/vision_opencv/issues/421>)
  * Contributors: Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Tue, 25 Jan 2022 08:00:00 -0000

ros-rolling-cv-bridge (3.0.0-2jammy) jammy; urgency=high

  * Export Modern CMake targets and install includes to another folder(#419 <https://github.com/ros-perception/vision_opencv/issues/419>)
  * Handle padded img msg in Python (#400 <https://github.com/ros-perception/vision_opencv/issues/400>)
  * Remove boost endian (#399 <https://github.com/ros-perception/vision_opencv/issues/399>)
  * Add conversions from YUV422 YUY2 (#396 <https://github.com/ros-perception/vision_opencv/issues/396>)
  * fix endianness comparison (#397 <https://github.com/ros-perception/vision_opencv/issues/397>)
  * Export sensor_msgs dependency (#392 <https://github.com/ros-perception/vision_opencv/issues/392>)
  * Fix multiple undefined references (#370 <https://github.com/ros-perception/vision_opencv/issues/370>)
  * Updated cv_bridge.dll install location. (#356 <https://github.com/ros-perception/vision_opencv/issues/356>)
  * Contributors: Homalozoa X, Jacob Perron, Patrick Musau, Sean Yen, Shane Loretz

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 19 Jan 2022 08:00:00 -0000

ros-rolling-cv-bridge (2.2.1-2jammy) jammy; urgency=high

  * Align module.hpp with noetic (#342 <https://github.com/ros-perception/vision_opencv/issues/342>)
  * Contributors: Michael Carroll

 -- Kenji Brameld <kenjibrameld@gmail.com>  Thu, 16 Jul 2020 07:00:00 -0000

ros-rolling-cv-bridge (2.2.0-2jammy) jammy; urgency=high

  * Disable portable image tests (#337 <https://github.com/ros-perception/vision_opencv/issues/337>)
  * use more specific boost rosdep keys (#319 <https://github.com/ros-perception/vision_opencv/issues/319>)
  * add opencv4 into the dependency list for ROS2 (#324 <https://github.com/ros-perception/vision_opencv/issues/324>)
  * Corrected the typo of Boost_INCLUDE_DIRS (#315 <https://github.com/ros-perception/vision_opencv/issues/315>)
  * use target include directories (#313 <https://github.com/ros-perception/vision_opencv/issues/313>)
  * Contributors: Karsten Knese, Lewis Liu, Michael Carroll, Mikael Arguedas, Sean Yen

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 27 May 2020 07:00:00 -0000

ros-rolling-cv-bridge (2.1.3-2jammy) jammy; urgency=high

  * populate array.array directly instead of converting to and from a string (#305 <https://github.com/ros-perception/vision_opencv/issues/305>)
  * include Boost to fix Windows build (#290 <https://github.com/ros-perception/vision_opencv/issues/290>)
  * Export interfaces for Win32 Shared Lib (#301 <https://github.com/ros-perception/vision_opencv/issues/301>)
  * Contributors: Dirk Thomas, Jonathan Noyola, Sean Yen

 -- Kenji Brameld <kenjibrameld@gmail.com>  Wed, 23 Oct 2019 07:00:00 -0000



=== debian/control ===
Source: ros-rolling-cv-bridge
Section: misc
Priority: optional
Maintainer: Kenji Brameld <kenjibrameld@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-python-dev, libopencv-dev, python3-numpy, python3-opencv, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-python-cmake-module, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Homepage: http://www.ros.org/wiki/cv_bridge
Standards-Version: 3.9.2

Package: ros-rolling-cv-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-python1.74.0, libopencv-dev, python3-numpy, python3-opencv, ros-rolling-ament-index-python, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-sensor-msgs, ros-rolling-ros-workspace
Description: This contains CvBridge, which converts between ROS2 Image messages and OpenCV images.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
